SPHINX_LM_EVAL(1)

NAME
sphinx_lm_eval - Evaluate perplexity of a transcription

SYNOPSIS
sphinx_lm_eval [ options ]...

DESCRIPTION

This program evaluates the perplexity of a text file according to a given language model. The text file is assumed to be in transcript format, i.e. one utterance per line, delimited by <s> and </s>.

-help
    Shows the usage of the tool

-lm model file

-lmctlfn
    file listing a set of language models

-lmname
    of language model in -lmctlfn to use for all utterances

-logbase
    Base in which all log-likelihoods calculated

-lsn
    file to evaluate

-lw Language model weight

-mmap
    Use memory-mapped I/O for reading binary LM files

-probdef
    definition file for classes in LM

-text
    string to evaluate

-uw Unigram probability weight (interpolated with uniform distribution)

-verbose
    Print details of perplexity calculation

-wip
    Word insertion probability

AUTHOR
David Huggins-Daines <dhdaines@gmail.com>

COPYRIGHT
Copyright © 2007-2008 Carnegie Mellon University. See the file COPYING included with this package for more information.